package org.jeecg.modules.adweb.quota.service;

import com.baomidou.mybatisplus.extension.service.IService;

import org.apache.commons.lang3.tuple.Pair;
import org.jeecg.modules.adweb.quota.entity.ResourceQuota;
import org.jeecg.modules.adweb.quota.vo.ResourceQuotaVO;

/**
 * @Description: adweb_resource_quota
 * @Author: jeecg-boot
 * @Date: 2025-12-07
 * @Version: V1.0
 */
public interface IResourceQuotaService extends IService<ResourceQuota> {

    ResourceQuotaVO getResourceQuotaByUid(String uid);

    boolean updateResourceQuota(ResourceQuotaVO resourceQuotaVO);

    Pair<Integer, Integer> getWebsiteQuota(String uid);

    Pair<Integer, Integer> getAIPowerQuota(String uid);

    Pair<Integer, Integer> getCustomsDataQuota(String uid);

    boolean consumeCustomsDataQuota(String uid);
}
